// Sprachvariable
var language;


// Sprachversionen fr im Spiel verwendete Texte
var texte = new Array();
texte['quiz'] = ['GHS-Quiz', 'GHS-Quiz'];
texte['runde'] = ['Runde', 'round'];
texte['ergebnis'] = ['Ergebnis', 'result'];	
texte['start'] = ['Start', 'start'];	
texte['frage']= ['Welcher Gefahrenhinweis kann sich hinter diesem Symbol verbergen?', 'Which hazard statement could be covered by this pictogram?'];
texte['naechste'] = ['Nchste Runde', 'next round'];
texte['neu'] = ['Neues Spiel', 'next game'];
texte['success'] = ['<h2>Super!</h2><p>Ihr Punktestand erhht sich um 200 Punkte!</p>', '<h2>en</h2><p>en</p>'];
texte['lucky'] = ['<h2>Glck gehabt!</h2><p>2 gleiche Piktogramme!</p><h2>500 Bonuspunkte!</h2>', '<h2>You\'re lucky!</h2><p>2 identical pictograms!</p><h2>500 bonus points!</h2>'];
texte['morelucky'] = ['<h2>Glck gehabt!</h2><p>3 gleiche Piktogramme!</p><h2>1000 Bonuspunkte!</h2>', '<h2>You\'re lucky!</h2><p>3 identical pictograms!</p><h2> 1000 bonus points!</h2>'];
texte['end'] = ['<h1>Herzlichen Glckwunsch!</h1><p class="danke">Sie haben ', '<h1>Congratulations.</h1><p class="danke">You scored '];
texte['end_zusatz'] = [' Punkte erspielt</p>', ' points!</p>'];

// Bilder der verschiedenen Kategorien
var opts_1 = ['ghs_002', 'ghs_007', 'ghs_006', 'ghs_002', 'ghs_008', 'ghs_001', 'ghs_002', 'ghs_006', 'ghs_003', 'ghs_001', 'ghs_005', 'ghs_003', 'ghs_008'];
var opts_2 = ['ghs_001', 'ghs_006', 'ghs_002', 'ghs_008', 'ghs_002', 'ghs_005', 'ghs_004', 'ghs_002', 'ghs_007', 'ghs_005', 'ghs_003', 'ghs_008', 'ghs_002'];
var opts_3 = ['ghs_001', 'ghs_008', 'ghs_004', 'ghs_009', 'ghs_002', 'ghs_005', 'ghs_002', 'ghs_007', 'ghs_004', 'ghs_002', 'ghs_007', 'ghs_002', 'ghs_009'];


//Antworten zu den verschiedenen Bildern/Kategorien
var kat1_a = [[['Entzndet sich in Berhrung mit Luft von selbst.', 'Hochentzndlich, daher Gefe nur zur Hlfte fllen.', 'Flssigkeit und Dampf schwer entzndlich.'],
							 ['Gesundheitsschdlich bei Hautkontakt oder Einatmen.', 'Gefahr ernster Augenschden.', 'Kann bei Verschlucken Lungenschden verursachen.'],
							 ['Lebensgefahr bei Verschlucken oder Hautkontakt.', 'Kann bei Verschlucken und Eindringen in die Atemwege tdlich sein.', 'Kann das Kind im Mutterleib schdigen.'],
							 ['In Berhrung mit Wasser entstehen entzndbare Gase, die sich spontan entznden knnen.', 'Brennbare Farbstoffe und Lacke, nicht mit Wasser lschen.', 'Brennbare Stoffe; elektrostatische Aufladung vermeiden.'],
							 ['Kann bei Einatmen Allergie, asthmaartige Symptome oder Atembeschwerden verursachen.', 'Kann allergische Hautreaktionen verursachen.', 'Kann bei Einatmen die Atemwege vertzen.'],
							 ['Explosiv; Gefahr der Massenexplosion.', 'Entzndet sich in Berhrung mit Luft von selbst.', 'Explosionsfhige Atmosphre.'],
							 ['Extrem entzndbares Gas.', 'Gefahr durch Feuer.', 'Brandfrdernder Stoff.'],
							 ['Giftig bei Verschlucken oder Hautkontakt.', 'Kann Krebs erzeugen.', 'Tdliches Risiko'],
							 ['Kann Brand verursachen oder verstrken; Oxidationsmittel.', 'Organisches Peroxid, Erwrmung kann Brand verursachen.', 'Selbsterhitzungsfhig; kann in Brand geraten.'],
							 ['Explosiv; groe Gefahr durch Splitter, Spreng- und Wurfstcke.', 'Sprengstoff, gesetzliche Regelungen beachten.', 'Enthlt Gas unter Druck oder andere Stoffe in Druckbehltern, kann bei Erwrmen explodieren.'],
							 ['Verursacht schwere Vertzungen der Haut und schwere Augenschden.', 'Zerstrt Metalle in kurzer Zeit.', 'Wirkt tzend auf die Atemwege.'],
							 ['Kann Brand oder Explosion verursachen; starkes Oxidationsmittel.', 'Erwrmung kann Brand verursachen.', 'Gefahr durch Feuer oder Splitter, Spreng- und Wurfstcke.'],
							 ['Kann Krebs erzeugen.', 'Kann Hummer erzeugen.', 'Kann Krabben erzeugen.']],
							[['Catches fire spontaneously if exposed to air.', 'Extremely flammable, fill vessel only fifty-fifty.', 'Hardly inflammable liquid and vapour.'],							 								
							 ['Harmful in contact with skin or if inhaled.', 'Risk of serious damage to eyes.', 'May cause lung damage if swallowed.'],
							 ['Fatal if swallowed or in contact with skin.', 'May be fatal if swallowed and enters airways.', 'May damage the unborn child.'],
							 ['In contact with water releases flammable gases which may ignite spontaneously.', 'Flammable dyes or varnishes, do not extinguish with water.', 'Combustible, take precautionary measures against static discharge.'],
							 ['May cause allergy or asthma symptoms or breathing difficulties if inhaled.', 'May cause an allergic skin reaction.', 'Corrosive to the respiratory tract.'],
							 ['Explosive; mass explosion hazard.', 'Catches fire spontaneously if exposed to air.', 'Explosive atmosphere.'],
							 ['Extremely flammable gas.', 'Risk of fire.', 'Oxidising substance.'],
							 ['Toxic if swallowed or in contact with skin.', 'May cause cancer.', 'Fatal risk.'],
							 ['May cause or intensify fire; oxidiser.', 'Organic peroxide, heating may cause a fire.', 'Self-heating: may catch fire.'],
							 ['Explosive, severe projection hazard.', 'Commercial explosive, observe statutory rule.', 'Contains gas under pressure; may explode if heated.'],
							 ['Causes severe skin burns and eye damage.', 'Shortly destroys all metals.', 'Corrosive to the respiratory tract.'],
							 ['Heating may cause a fire.', 'May cause fire or explosion; strong oxidiser.', 'Fire or projection hazard.'],
							 ['May cause cancer.', 'May create langoustine.', 'May create shrimps.']]
						 ];

var kat2_a = [[['Erwrmung kann Explosion verursachen.', 'Gase unter Druck, Behlter kann explodieren.', 'Autokatalytische Stoffe, Gefahr durch Wurfstcke.'],
							 ['Giftig bei Einatmen.', 'Kann Krebs erzeugen.', 'Gesundheitsschdlich bei Verschlucken.'],
							 ['Extrem entzndbares Aerosol.', 'Aerosolpackungen nicht ins Feuer werfen.', 'Abstand halten  Feuer!'],
							 ['Kann die Fruchtbarkeit beeintrchtigen oder das Kind im Mutterleib schdigen.', 'Vorsicht ionisierende Strahlung.', 'Gesundheitsschdlich.'],
							 ['Flssigkeit und Dampf leicht entzndbar.', 'Giftiger Rauch; kann Atemwege reizen.', 'Instabil, explosiv.'],
							 ['Verursacht schwere Vertzungen der Haut und schwere Augenschden.', 'Reizt die Augen und die Haut.', 'Lst Hautreaktionen und Hautallergien aus.'],
							 ['Enthlt Gas unter Druck; kann bei Erwrmung explodieren.', 'Behlter steht unter Druck, Vorsicht beim ffnen.', 'Enthlt Druckgas; Erstickungsgefahr.'],
							 ['Flssigkeit und Dampf entzndbar.', 'Brandfrdernd', 'Explosionsgefahr durch Dmpfe.'],
							 ['Kann allergische Hautreaktionen verursachen.', 'Sensibilisierung der Atemwege.', 'Kann vermutlich Krebs erzeugen.'],
							 ['Verursacht schwere Augenschden.', 'Sensibilisierung der Haut.', 'Starke Sure oder Lauge.'],
							 ['Kann Brand oder Explosion verursachen; starkes Oxidationsmittel.', 'Tank mit an Luft brennbaren Gasen.', 'Organisches Peroxid; Erwrmung kann Brand oder Explosion verursachen.'],
							 ['Kann bei Verschlucken und Eindringen in die Atemwege tdlich sein.', 'Giftig beim Einatmen.', 'Kann bei Verschlucken Durchfall auslsen.'],
							 ['Selbsterhitzungsfhig; kann in Brand geraten.', 'Entflammt unter starker Rubildung.', 'Entzndet sich auch unter Ausschluss von Luft.']],
							[['Heating may cause an explosion.', 'Gases under pressure, container may explode.', 'Autocatalytic substances, projection hazard.'],							 								
							 ['Toxic if inhaled.', 'May cause cancer.', 'Harmful if swallowed.'],
							 ['Extremely flammable aerosol.', 'Do not burn aerosol cans.', 'Fire  stay away!'],
							 ['May damage fertility or the unborn child.', 'Caution - ionising radiation.', 'Harmful.'],
							 ['Highly flammable liquid and vapour.', 'Toxic fumes, may cause respiratory irritation.', 'Unstable explosives.'],
							 ['Causes severe skin burns and eye damage.', 'Irritating to eyes and skin.', 'May cause an allergic skin reaction.'],
							 ['Contains gas under pressure; may explode if heated.', 'Pressurized container, open carefully.', 'Contains gas under pressure, suffocation hazard.'],
							 ['Flammable liquid and vapour.', 'Oxidizer.', 'Explosion hazard.'],
							 ['May cause an allergic skin reaction.', 'May cause sensitisation by inhalation.', 'Suspected of causing cancer.'],
							 ['Causes serious eye damage.', 'May cause sensitisation by skin contact.', 'Strong acid or base.'],
							 ['May cause fire or explosion; strong oxidiser.', 'Tank with flammable gases.', 'Organic peroxide, heating may cause a fire or explosion.'],
							 ['May be fatal if swallowed and enters airways.', 'Toxic if inhaled.', 'Can cause diarrhoea if swallowed.'],
							 ['Self-heating: may catch fire.', 'Burns with high soot production.', 'Catches fire even in absence of air.']]															
						 ];		
						 
var kat3_a = [[['Instabil, explosiv.', 'Achtung, Sprengstoff.', 'Explosionsfhige Atmosphre.'],
							 ['Schdigt die Organe.', 'Expositionsgefahr beim Verschlucken.', 'Verursacht schwere Lungenreizung.'],
							 ['Enthlt Gas unter Druck; kann bei Erwrmung explodieren.', 'Enthlt Patronen, bei unsachgemer Handhabung Explosion mglich.', 'Biogefhrliche Stoffe, besondere Schutzmanahmen erforderlich.'],
							 ['Sehr giftig fr Wasserorganismen.', 'Schdigt die Umwelt.', 'Giftig fr Fische und Bume.'],
							 ['Entzndbarer Feststoff.', 'Kann gegenber Metallen entzndlich sein.', 'Kann Brand verursachen oder verstrken.'],
							 ['Kann gegenber Metallen korrosiv sein.', 'Verursacht schwere Augenreizung.', 'Kann die Organe schdigen.'],
							 ['Flssigkeit und Dampf extrem entzndbar.', 'Gemisch aus entzndbaren Flssigkeiten und Wasser.', 'Mit Wasser berlagerte entzndbare Feststoffe.'],
							 ['Verursacht schwere Augenreizung.', 'Verursacht ernste Gesundheitsschden.', 'Kann vermutlich genetische Defekte verursachen.'],
							 ['Enthlt tiefgekhltes Gas; kann Klteverbrennungen oder Verletzungen verursachen.', 'Enthlt Flssigkeit hoher Dichte; Behlter kann wegrollen.', 'Enthlt Gas leichter als Luft; Behlter kann wegfliegen.'],
							 ['Entzndbarer Feststoff.', 'Mit brennbaren Lsemitteln berlagerte Feststoffe.', 'Feuergefahr bei Kontakt mit Zndquellen.'],
							 ['Schdigt die ffentliche Gesundheit und die Umwelt durch Ozonabbau in der ueren Atmosphre.', 'Schdlich fr Wasserorganismen.', 'Verursacht schwere Augenschden.'],
							 ['In Berhrung mit Wasser entstehen entzndbare Gase.', 'In Berhrung mit Wasser entstehen tzende Gase.', 'In Berhrung mit Suren entstehen giftige Gase.'],
							 ['Giftig fr Wasserorganismen, mit langfristiger Wirkung.', 'Lebensgefahr fr Fische und Bume.', 'Verderbliche Lebensmittel.']],			
							[['Unstable explosives.', 'Caution, pyrotechnic material.', 'Explosive atmosphere.'],							 								
							 ['Causes damage to organs', 'Exposure hazard if swallowed.', 'Causes serious lung irritation.'],
							 ['Contains gas under pressure; may explode if heated.', 'Contains rounds, may explode if handled incorrect.', 'Biohazard substance; use special protection.'],
							 ['Very toxic to aquatic life.', 'Damages the environment.', 'Toxic to fish and trees.'],
							 ['Flammable solid.', 'May be flammable to metals.', 'May cause or intensify fire.'],
							 ['May be corrosive to metals.', 'Causes serious eye irritation.', 'May cause damage to organs.'],
							 ['Extremely flammable liquid and vapour.', 'Mixture of flammable liquids and water.', 'Flammable solids overlaid with water.'],
							 ['Causes serious eye irritation.', 'Causes serious health damages.', 'Suspected of causing genetic defects.'],
							 ['Contains refrigerated gas; may cause cryogenic burns or injury.', 'Contains liquids with high density, container can roll away.', 'Contains gases lighter than air; container can fly away.'],
							 ['Flammable solid.', 'Solids overlayed with flammable liquids.', 'Fire hazard if getting in contact with ignition sources.'],
							 ['Harms public health and the environment by destroying ozone in the upper atmosphere.', 'Harmful to aquatic life.', 'Causes serious eye damage.'],
							 ['In contact with water releases flammable gases.', 'In contact with water releases corrosive gases.', 'In contact with acids releases flammable gases.'],
							 ['Toxic to aquatic life with long lasting effects.', 'Fatal for fish and trees.', 'Perishable foods.']]							 				
						 ];	
						 
var fh = [[0, 2, 4],
		  [0, 2, 6],							 				 				 
		  [0, 2, 9],	
		  [0, 2, 11],							 				 				 
		  [0, 4, 4],
		  [0, 4, 6],
		  [0, 4, 9],
		  [0, 4, 11],
		  [0, 7, 4],							 				 				 
		  [0, 7, 6],
		  [0, 7, 9],
		  [0, 7, 11],
		  [4, 2, 6],							 				 				 
		  [4, 2, 9],	
		  [4, 2, 11],							 				 				 
		  [4, 4, 4],
		  [4, 4, 6],
		  [4, 4, 9],
		  [4, 4, 11],
		  [4, 7, 4],							 				 				 
		  [4, 7, 6],
		  [4, 7, 9],
		  [4, 7, 11],
		  [6, 2, 6],							 				 				 
		  [6, 2, 9],	
		  [6, 2, 11],							 				 				 
		  [6, 4, 4],
		  [6, 4, 6],
		  [6, 4, 9],
		  [6, 4, 11],
		  [6, 7, 4],							 				 				 
		  [6, 7, 6],
		  [6, 7, 9],
		  [6, 7, 11],
			[1, 8, 7],
			[1, 8, 10],
			[4, 3, 1],
			[4, 11, 1],
			[12, 3, 1],
			[12, 11, 1],
			[5, 0, 0],
			[9, 0, 0],
			[10, 5, 5],
			[10, 9, 5 ]
		 ];		  		  		  							 				 				 
		  							 				 				 
		  							 				 				 
		  							 				 				 
		  						 				 				 


// Key fr Festlegung der jeweiligen Kategorie global festlegen
var geloest = [['', '', ''], ['', '', ''], ['', '', '']];

// Variable fr zu prfende Antwort
var antwort_user = "";

// globale Variablen fr Runde, Spielstand, Punkte und in dieser Runde bereits erschienene Symbole
var runde = 1;
var punkte = 0;
var symb_kat = ['', '', ''];

var ende;

var hoehe;
var interval;

var alt;
var page;

var cheat = false;
var gleiche = ['', '', ''];



function resize(){

		
		if (page != $("#page").width()) {
			page = $("#page").width();
			var alt = hoehe;
			if ($(".slots .start .img_slot").height() > 0) {
				hoehe = $(".slots .start .img_slot").height() + 10;
			} else {
				hoehe = $(".slots .slot .img_slot").height() + 10;
			}
			

			if (parseInt($("#slots_a .wrapper").css("margin-top"), 10) < -6) {
				var ma_a = parseInt($("#slots_a .wrapper").css("margin-top"), 10);
				var nr_a = ((ma_a * -1) -6) / alt;
				var neu_a = ((hoehe * nr_a) + 6) * -1;
				$("#slots_a .wrapper").attr("style", "margin-top: "+neu_a+"px");
			}

			if (parseInt($("#slots_b .wrapper").css("margin-top"), 10) < -6) {
				var ma_b = parseInt($("#slots_b .wrapper").css("margin-top"), 10);
				var nr_b = ((ma_b * -1) -6) / alt;
				var neu_b = ((hoehe * nr_b) + 6) * -1;
				$("#slots_b .wrapper").attr("style", "margin-top: "+neu_b+"px");
			}

			if (parseInt($("#slots_c .wrapper").css("margin-top"), 10) < -6) {
				var ma_c = parseInt($("#slots_c .wrapper").css("margin-top"), 10);
				var nr_c = ((ma_c * -1) -6) / alt;
				var neu_c = ((hoehe * nr_c) + 6) * -1;
				$("#slots_c .wrapper").attr("style", "margin-top: "+neu_c+"px");
			}
		}		
}




function go(category){
	
	$("#auswahl").attr("style", "display: none;");	
	
	//console.log(category);
	switch (category){
		case 'a':
			addSlots($("#slots_a .wrapper"));		
			moveSlots($("#slots_a .wrapper"));
			break;
		case 'b':
			$("#slots_a").attr("style", "border: 5px solid #666666;");
			addSlots($("#slots_b .wrapper"));
			moveSlots($("#slots_b .wrapper"));
			break;
		case 'c':
			$("#slots_b").attr("style", "border: 5px solid #666666;");		
			addSlots($("#slots_c .wrapper"));		
			moveSlots($("#slots_c .wrapper"));			
			break;
	}
}

$(document).ready(
function(){
	// Sprache ermitteln
	url = location.href;
	t_lang = parseInt(url.substr(url.indexOf('?language=')+10,1));
	
	switch (t_lang) {
		case 0:
			language = 0;
			changeIcon("de");
			break;
		case 1:
			language = 1;
			changeIcon("en");
			break;
		default:
			language = 0;
			changeIcon("de");
			break;
	}
	
	
	page = $("#page").width();
	addSlots($("#slots_a .wrapper"));	
	addSlots($("#slots_b .wrapper"));	
	addSlots($("#slots_c .wrapper"));		
	$(".slot").each(function () {$(this).attr("style", "display:none")});
	$("#slots_a .wrapper").append("<div class='start'><img class='img_slot' src='images/gischem.svg'/></div>");
	$("#slots_b .wrapper").append("<div class='start'><img class='img_slot' src='images/gischem.svg'/></div>");
	$("#slots_c .wrapper").append("<div class='start'><img class='img_slot' src='images/gischem.svg'/></div>");
	
	runde = 1;
	punkte = 0;
	sym_kat = ['', '', ''];	
	$("#punkte").html(punkte + " Pt.");
	
	hoehe = $(".slots .start .img_slot").height() + 10;
	interval =  150;
	
	// Texte in ermittelter Sprache eintragen
	$("#q_head").html(texte['quiz'][language]);
	$("#start").attr("value", texte['start'][language]);		
	$("#q_runde").html(texte['runde'][language]);
	$("#q_ergebnis").html(texte['ergebnis'][language]);
	$("#frage").html(texte['frage'][language]);
	$("#success").html(texte['success'][language]);
	$("#lucky").html(texte['lucky'][language]);
	$("#morelucky").html(texte['morelucky'][language]);	
		
	//console.log("Hhe: "+hoehe);
	
}		
);

function newGame() {
	$("#slots_a .wrapper").stop(true,true);		
	$("#slots_b .wrapper").stop(true,true);	
	$("#slots_c .wrapper").stop(true,true);		
	$(".slot").each(function () {$(this).remove()});	
	$("#slots_a").attr("style", "border: 5px solid #666666;");
	$("#slots_b").attr("style", "border: 5px solid #666666;");
	$("#slots_c").attr("style", "border: 5px solid #666666;");
	addSlots($("#slots_a .wrapper"));	
	addSlots($("#slots_b .wrapper"));	
	addSlots($("#slots_c .wrapper"));		
	$(".slot").each(function () {$(this).attr("style", "display:none")});
	$("#slots_a .wrapper").append("<div class='start'><img class='img_slot' src='images/gischem.svg'/></div>");
	$("#slots_b .wrapper").append("<div class='start'><img class='img_slot' src='images/gischem.svg'/></div>");
	$("#slots_c .wrapper").append("<div class='start'><img class='img_slot' src='images/gischem.svg'/></div>");
	
	geloest = [['', '', ''], ['', '', ''], ['', '', '']];
	runde = 1;
	punkte = 0;
	sym_kat = ['', '', ''];	
	$("#punkte").html(punkte + " Pt.");
	$("#runde").html(runde + "/3");	

	$(".wrapper").attr("style", "margin-top:-6px;");
	$(".spin").attr("value", "Start");	
	$(".spin").css("background", "linear-gradient(#f1731e, #856400) repeat scroll 0 0 rgba(0, 0, 0, 0)");		
	$(".spin").prop("disabled", false);	
	$(".spin").attr("onClick", "go('a');");	
	$("#auswahl").attr("style", "display: none;");	
	$("#end").attr("style", "display: none;");	
	cheat = false;	
		
}

function nextRound() {
	$("#slots_a .wrapper").stop(true,true);		
	$("#slots_b .wrapper").stop(true,true);	
	$("#slots_c .wrapper").stop(true,true);	
	runde = runde + 1;
	sym_kat = ['', '', ''];	
	cheat = false;
		
	$("#slots_c").attr("style", "border: 5px solid #666666;");
	$(".slot").each(function () {$(this).remove()});	
	addSlots($("#slots_a .wrapper"));	
	addSlots($("#slots_b .wrapper"));	
	addSlots($("#slots_c .wrapper"));		
	$(".slot").each(function () {$(this).attr("style", "display:none")});
	$("#slots_a .wrapper").append("<div class='start'><img class='img_slot' src='images/gischem.svg'/></div>");
	$("#slots_b .wrapper").append("<div class='start'><img class='img_slot' src='images/gischem.svg'/></div>");
	$("#slots_c .wrapper").append("<div class='start'><img class='img_slot' src='images/gischem.svg'/></div>");
	$(".wrapper").attr("style", "margin-top:-6px;");
	$(".spin").attr("value", "Start");
	$(".spin").css("background", "linear-gradient(#f1731e, #856400) repeat scroll 0 0 rgba(0, 0, 0, 0)");				
	$(".spin").attr("onClick", "go('a');");	
	$("#runde").html(runde + "/3");	
	$("#auswahl").attr("style", "display: none;");	
	$(".spin").prop("disabled", false);	
}


function addSlots(jqo){
	//console.log(jqo.parent().attr('id'));
	

	
	switch (jqo.parent().attr('id')) {
		case 'slots_a':
			$("#slots_a .wrapper .start").remove();
			$("#slots_a .wrapper .slot").each(function () {$(this).attr("style", "display:block")});			
			for(var i = 0; i < opts_1.length; i++){
				jqo.append("<div class='slot'><img class='img_slot' src='images/"+opts_1[i]+".gif'/></div>");	
			}		
			break;
		case 'slots_b':
			$("#slots_b .wrapper .start").remove();
			$("#slots_b .wrapper .slot").each(function () {$(this).attr("style", "display:block")});	
			for(var i = 0; i < opts_2.length; i++){
				jqo.append("<div class='slot'><img class='img_slot' src='images/"+opts_2[i]+".gif'/></div>");	
			}	
			break;	
		case 'slots_c':
			$("#slots_c .wrapper .start").remove();
			$("#slots_c .wrapper .slot").each(function () {$(this).attr("style", "display:block")});				
			for(var i = 0; i < opts_3.length; i++){
				jqo.append("<div class='slot'><img class='img_slot' src='images/"+opts_3[i]+".gif'/></div>");	
			}				
			break;
	}
	


}


function moveSlots(jqo){
	//console.log(cheat);
	jqo.parent().css("border-color", "#ac3333");
	jqo.parent().css("border-bottom", "7px solid #ac3333");
	jqo.parent().css("border-top", "7px solid #ac3333");
	jqo.parent().css("margin-top", "-2px");
	jqo.parent().css("margin-bottom", "0px");
	var rnd = runde - 1;	
	var zufall = Math.round(Math.random()*12);
	//console.log(zufall);

	
		//console.log("Anfang: " + zufall);

	switch (jqo.parent().attr('id')) {
		case 'slots_a':
			//console.log("IndexOf A: " + geloest[0].indexOf(zufall));
			//$("#slots_b").css("margin-bottom", "2px");
			//$("#slots_c").css("margin-bottom", "2px");
			if (geloest[0].indexOf(zufall) > -1) {
				//console.log("Schon da: " + zufall);
				moveSlots(jqo);
			} else {
				//console.log("else-Zweig");
				if (cheat == true) {
					//console.log("Cheat");
					var t = zufall;
					gleiche[0] = fh[t][0];
					gleiche[1] = fh[t][1];
					gleiche[2] = fh[t][2]; 
					zufall = gleiche[0];
					//console.log("FH: " + gleiche[0])
				} 			
				
				
				geloest[0][rnd] = zufall;
				//console.log("Ende: " + zufall);
				
					magic(jqo, zufall);
			
			}
			break;		

		case 'slots_b':
			//console.log("IndexOf B: " + geloest[1].indexOf(zufall));
			//$("#slots_a").css("margin-bottom", "2px");
			//$("#slots_c").css("margin-bottom", "2px");			
			if (geloest[1].indexOf(zufall) > -1) {
				//console.log("Schon da: " + zufall);				
				moveSlots(jqo);
			} else {

				if (cheat == true) {
					var t = zufall;
					zufall = gleiche[1];
				}			
				geloest[1][rnd] = zufall;
				//console.log("Ende: " + zufall);
				magic(jqo, zufall);						
			
			}
			break;	

		case 'slots_c':
			//console.log("IndexOf C: " + geloest[2].indexOf(zufall));		
			//$("#slots_a").css("margin-bottom", "2px");
			//$("#slots_b").css("margin-bottom", "2px");			
			if (geloest[2].indexOf(zufall) > -1) {
				//console.log("Schon da: " + zufall);				
				moveSlots(jqo);
			} else {
			
				if (cheat == true) {
					var t = zufall;
					zufall = gleiche[2];
				}			
				geloest[2][rnd] = zufall;
				//console.log("Ende: " + zufall);
				magic(jqo, zufall);
			}
			break;	
	}

}

function magic(jqo, zufall) {

		var marginTop = parseInt(jqo.css("margin-top"), 10);

//console.log(jqo.parent().attr('id'));
		var margin_max = ((hoehe * 12) + 6) * -1;
		
		var test = function(jqo){		
			if (marginTop <= margin_max) {
				marginTop = -6;
			} else {
				marginTop -= hoehe;
			}				
			jqo.animate(
				{"margin-top":marginTop+"px"}, interval
			);
		}

		
	switch (jqo.parent().attr('id')) {
		case 'slots_a':
			$(".spin").attr("onClick", "stopAnimation('a',"+zufall+")");
			break;						
		case 'slots_b':
			$(".spin").attr("onClick", "stopAnimation('b',"+zufall+")");			
			break;			
		case 'slots_c':
			$(".spin").attr("onClick", "stopAnimation('c',"+zufall+")");			
			break;
			
	}
		$(".spin").attr("value", "Stop");		
		$(".spin").css("background", "linear-gradient(#94998b, #3b4726) repeat scroll 0 0 rgba(0, 0, 0, 0)");			
					
		ani_test = setInterval(function() { test(jqo); }, interval);

}

function stopAnimation(jqo, zufall){
	clearInterval(ani_test);
	
	margin = (zufall * -hoehe) - 6;
		

	switch (jqo) {
		case 'a':
				$("#slots_a .wrapper").animate({"margin-top":margin+"px"}, interval);
				setTimeout(function() {wait($("#slots_a .wrapper"), zufall);}, 500);
			break;						
		case 'b':
				$("#slots_b .wrapper").animate({"margin-top":margin+"px"}, interval);
				setTimeout(function() {wait($("#slots_b .wrapper"), zufall);}, 500);		
			break;			
		case 'c':
				$("#slots_c .wrapper").animate({"margin-top":margin+"px"}, interval);
				setTimeout(function() {wait($("#slots_c .wrapper"), zufall);}, 500);		
			break;
			
	}
	
		
	
}

function wait(jqo, zufall){
	
	var marginTop = parseInt(jqo.css("margin-top"), 10);
	//console.log(marginTop);
	marginTop = (marginTop + 6) * -1 / hoehe;
	//console.log(marginTop);	
	
	showChoices(jqo.parent().attr('id'), zufall);
	
}


function showChoices(slot, zufall) {
	var temp;
	var list = "";
	
	//console.log(zufall);

	switch (slot) {
		case 'slots_a':
			symb_kat[0] = opts_1[zufall];
			var antwort = [kat1_a[language][zufall][0], kat1_a[language][zufall][1], kat1_a[language][zufall][2]]; 
			break;		

		case 'slots_b':
			symb_kat[1] = opts_2[zufall];
			var antwort = [kat2_a[language][zufall][0], kat2_a[language][zufall][1], kat2_a[language][zufall][2]];
			break;	

		case 'slots_c':
			symb_kat[2] = opts_3[zufall];
			var antwort = [kat3_a[language][zufall][0], kat3_a[language][zufall][1], kat3_a[language][zufall][2]];
			if ((symb_kat[0] == symb_kat[1]) && (symb_kat[1] == symb_kat[2])) {
				$("#morelucky").fadeIn(100, function() {$("#morelucky").delay(3000).fadeOut(100);});
				punkte = punkte + 1000;
				$("#punkte").html(punkte + " Pt.");
				//console.log("3 Gleiche!");
			} else if ((symb_kat[0] == symb_kat[1]) || (symb_kat[1] == symb_kat[2]) || (symb_kat[0] == symb_kat[2])) {
				$("#lucky").fadeIn(100, function() {$("#lucky").delay(3000).fadeOut(100);});
				punkte = punkte + 500;
				$("#punkte").html(punkte + " Pt.");				
				//console.log("2 Gleiche!");
			}

			break;	
	}
	
	var zufall_a = Math.round(Math.random()*3)+1;

		//console.log("Zufall_a: " +zufall_a);
	
	for (var i = 1; i < 4; i++){
		if (zufall_a < 4) {
			temp = zufall_a;
		} else {
			temp = 1;
			zufall_a = 1;
		}
	//console.log("Temp: " +temp);	
		zufall_a++;

	
		list = list + "<li id=\"antwort" + temp + "\"><button class=\"btn_radio\" type=\"button\" value=\"" + antwort[temp - 1] + "\" name=\"antwort\" onClick=\"javascript: antwort_user = 'antwort" + temp + "'; checkAnswer('"+ slot + "');\">" + antwort[temp - 1] + "</button></li>";	
		
	}
	
	$("#liste").html(list);
	
	$("#auswahl").attr("style", "display:block;");
	$(".spin").attr("disabled", "disabled");	
	$(".spin").attr("value", "");	
	//$(".btn_antworten").attr("onClick", "javascript: if (antwort_user == '') {alert('Bitte whlen Sie eine Antwort aus!');} else {checkAnswer('"+slot+"')}");
	//$(".antworten").attr("style", "display:block;");			

}

function checkAnswer(slot) {
	//console.log(slot);
	$(".btn_radio").attr("disabled", "disabled");	
		
	if (antwort_user == "antwort1") {
		//$("#success").fadeIn(100, function() {$("#success").delay(2000).fadeOut(100);});
		punkte = punkte + 200;
		$("#punkte").html(punkte + " Pt.");
		$("#antwort1 .btn_radio").attr("class", "user-richtig");		
	} else if (antwort_user == "antwort2") {
		$("#antwort1 .btn_radio").attr("class", "richtig");	
		$("#antwort2 .btn_radio").attr("class", "user-falsch");	
		$("#antwort3 .btn_radio").attr("class", "falsch");						
	} else {
		$("#antwort1 .btn_radio").attr("class", "richtig");
		$("#antwort3 .btn_radio").attr("class", "user-falsch");	
		$("#antwort2 .btn_radio").attr("class", "falsch");		
	}
	
	
	antwort_user = "";
	
	changebutton(slot);	
}

function changebutton(change) {
	//console.log(change);
	
	switch (change) {
		case 'slots_a':	
			$(".spin").attr("onClick", "go('b');");
			$(".spin").attr("Value", "Start");	
			$(".spin").css("background", "linear-gradient(#f1731e, #856400) repeat scroll 0 0 rgba(0, 0, 0, 0)");	
			$(".spin").prop("disabled", false);	
			break;
		case 'slots_b':
			$(".spin").attr("onClick", "go('c');");
			$(".spin").attr("Value", "Start");	
			$(".spin").css("background", "linear-gradient(#f1731e, #856400) repeat scroll 0 0 rgba(0, 0, 0, 0)");	
			$(".spin").prop("disabled", false);	
			break;
		case 'slots_c':
			if (runde < 3) {
				$(".spin").attr("onClick", "nextRound();");
				$(".spin").attr("value", texte['naechste'][language]);	
				$(".spin").prop("disabled", false);		
			} else {
				$("#end").html(texte['end'][language] + punkte + texte['end_zusatz'][language]);
				$(".spin").attr("onClick", "newGame();");
				$(".spin").attr("value", texte['neu'][language]);		
				$("#auswahl").delay(2000).fadeOut(100, function() {$("#end").fadeIn(100); $(".spin").prop("disabled", false);	});		
			}
			break;			
	}

	//$(".antworten").attr("style", "display:none;");	
		
	//$(".spin").attr("style", "visibility:visible;");		
	
	
}

function changeIcon(sprache) {
	if (sprache=="de") {
		$("#deutsch img").attr('src', 'images/de.gif');
		$("#english img").attr('src', 'images/en-blass.gif');
	} else if (sprache=="en") {
		$("#deutsch img").attr('src', 'images/de-blass.gif');
		$("#english img").attr('src', 'images/en.gif');
	}
}
